petsc-3.4.2 2013-07-02

# ISLocalToGlobalMappingUnBlock

Creates a scalar index version of a blocked ISLocalToGlobalMapping

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISLocalToGlobalMappingUnBlock(ISLocalToGlobalMapping inmap,PetscInt bs,ISLocalToGlobalMapping *outmap)

Not Collective, but communicator may have more than one process

### Input Parameter

| inmap | - block based mapping; the indices are relative to BLOCKS, not individual vector or matrix entries.
| bs | - block size

### Output Parameter

outmap -pointwise mapping

### See Also

ISLocalToGlobalMappingDestroy(), ISLocalToGlobalMappingCreate(), ISLocalToGlobalMappingBlock()

Level:advanced
Location:src/vec/is/utils/isltog.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages